﻿<div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
    <h3 id="myModalLabel4" class="text-left">Unfreeze Event</h3>
</div>
<div class="modal-body">
    <span class="pull-left"><strong>Are you sure you want to unfreeze this event?</strong></span><br />
    <p class="pull-left">
        Unfreezing an event reverses the freezing process and allows players to register for the event. 
    If an event online registration deadline has passed, the freezing or unfreezing operations have
    no practical impacts.</p>
    <br />
      
    </div>
 <div class="modal-footer text-right">
    @using (Ajax.BeginForm("Unfreeze", "SubDomain", new { @domain = ViewBag.Domain, @clubDomain = ViewBag.ClubDomain, @categoryId = ViewBag.CategoryId, @subDomainCategory = ViewBag.SubDomainCategory }, new AjaxOptions { HttpMethod = "Post", OnSuccess = "AjaxSuccess", OnFailure = "AjaxFailure" }, new { @role = "form" }))
    {
       
            <input id="btnUnfreezeEvent" type="submit" class="btn btn-info btn-block loading" data-loading-text="Unfreezing..." value="yes, i am sure"/>
        
    }
</div>

<script type="text/javascript">

    $(document).ready(function () {
        buttonInit();
    });

    function AjaxSuccess(data, status) {
        switch (data.Status) {
            case "Success":
                {
                    location.reload();
                    break;
                }

            default:
                buttonReset();
                break;
        }
    }

    function AjaxFailure() {
        var msg = $("#DeleteMessage");
        msg.html("Error in establish connection with server.");

        buttonReset();
    }
</script>
